%define	base_name mahjongg3d
%define	name %{base_name}-extra
%define	version 0.96
%define distsuffix plf
%define	release %mkrel 3

Summary: Extra tiles for Mahjongg 3d Solitaire
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.reto-schoelly.de/mahjongg3d/simpsons_tileset.tar.bz2
Source1: http://www.reto-schoelly.de/mahjongg3d/manga_tileset.tar.bz2
Group: Games/Boards
License: Freeware
#not really sure about the license so using Freeware
URL: http://www.reto-schoelly.de/mahjongg3d/
BuildRoot: %_tmppath/%{name}-build
Requires: %{base_name}
BuildArch: noarch

%description
Extra tiles for MahJongg 3D Solitaire.

This package is in PLF because it is including possibly copyrighted characters.

%prep
%setup -c %{name}-%{version} -q -a 1

%install
rm -rf %{buildroot}
install -d %buildroot%{_gamesdatadir}/%{base_name}/backgrounds
install -m 0644 backgrounds/*.bmp %buildroot%{_gamesdatadir}/%{base_name}/backgrounds
install -d %buildroot%{_gamesdatadir}/%{base_name}/tilesets
install -m 0644 tilesets/*.tileset %buildroot%{_gamesdatadir}/%{base_name}/tilesets/
install -d %buildroot%{_gamesdatadir}/%{base_name}/tilesets/manga
install -m 0644 tilesets/manga/* %buildroot%{_gamesdatadir}/%{base_name}/tilesets/manga/
install -d %buildroot%{_gamesdatadir}/%{base_name}/tilesets/simpsons
install -m 0644 tilesets/simpsons/* %buildroot%{_gamesdatadir}/%{base_name}/tilesets/simpsons/

%files
%defattr(-,root,root)
#doc
%{_gamesdatadir}/%{base_name}/tilesets/manga.tileset
%{_gamesdatadir}/%{base_name}/tilesets/manga
%{_gamesdatadir}/%{base_name}/backgrounds/manga.background.bmp
%{_gamesdatadir}/%{base_name}/tilesets/simpsons.tileset
%{_gamesdatadir}/%{base_name}/tilesets/simpsons
%{_gamesdatadir}/%{base_name}/backgrounds/homer.background.bmp

%clean
rm -rf %{buildroot}

%changelog
* Wed Jul 26 2006 Guillaume Bedot <littletux@zarb.org> 0.96-3plf2007.0
- reup (in non-free)

* Wed Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.96-2plf2007.0
- %%mkrel, space instead of tabs, clean install

* Mon Mar 14 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.96-1plf
- First PLF package for mahjongg3d-extra.
